Page MenuHomeVyOS Platform

remove autogeneration of interface "ip section" from vyatta-cfg-system
Closed, ResolvedPublicFEATURE REQUEST

Description

https://github.com/vyos/vyatta-cfg-system/blob/current/gen-interface-templates.pl#L97-L113

Auto generates 4 entries under the "ip" level of an interface.
All interfaces should be checked in vyos-1x to make sure they have this defined and implemented; some interfaces have it but are missing a node help tag.

Then the autogeneration should be removed.

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Event Timeline

pasik added a subscriber: pasik.Jun 23 2020, 2:11 PM
thomas-mangin closed this task as Resolved.Jun 24 2020, 8:23 AM
thomas-mangin claimed this task.
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.Aug 3 2020, 2:14 PM